Subject: Re: [PATCH 02/11] IB/ipoib: Notify the world before doing unregister

From: Roland Dreier <[email-masked]>
Date: Mon, 17 Sep 2007 16:33:39 -0700

> 	Conceptually, I see your point and I'm ok with doing it either
 > way.  My only question is, would this change would make the ipoib module
 > dependent upon having the bonding module loaded (to resolve all of the
 > symbols)?

Yes, I guess so, if that function is in bonding.  Hmm, that wouldn't
be a good change.

Maybe this new notification function should be in net/core/dev.c
instead of exporting call_netdevice_notifiers()?

 - R.